commit:     69198a66a67557da196b9f054746b155b64f019b
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Sat Sep 10 06:24:47 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Sep 10 06:24:47 2016 +0000
URL:        https://gitweb.gentoo.org/dev/graaff.git/commit/?id=69198a66

dev-ruby/scrypt: add 3.0.3

Package-Manager: portage-2.2.28

 dev-ruby/scrypt/Manifest            |  1 +
 dev-ruby/scrypt/scrypt-3.0.3.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-ruby/scrypt/Manifest b/dev-ruby/scrypt/Manifest
index ac89483..03de180 100644
--- a/dev-ruby/scrypt/Manifest
+++ b/dev-ruby/scrypt/Manifest
@@ -1 +1,2 @@
 DIST scrypt-2.0.2.gem 28160 SHA256 
ff879435a7ec15d78679f0d228ab976bb2633cc78faa25ab57f9538c4e8a2aaf SHA512 
7c82bba94eb18a2340964c2fbf1f6ca2c4af310baa318b50e3932d8bd72a60fe90c5a85d09ce3157ae3589964da8f93742fd7ae5e42e571e1d5848af6164c928
 WHIRLPOOL 
ada6f8ef98f16c5d05b3f808a5c6e9683bbcb48387be0d12cbbf92cb7eecb57366ed2a5e6df165facb61e51df35e22cde1782c39e9f6695df73f233ade2b442d
+DIST scrypt-3.0.3.gem 34816 SHA256 
cd09a25693d28a8dcb8a63b4eab94f576a39cabff2f399216f523e773b2f973c SHA512 
a1cd680b10ff78d2011348c2948205eb7725c2717cc3c367ce49dd3c037e6a50dadf9c16ce9af5990e5b3b02c790432351ac8815c4a414bf47576ac50797309f
 WHIRLPOOL 
5ffcabbc79a4b567fa7b96b5578e37db1225f35553d5d1eae1d085d2a51d3e7a603ebe7e32858bf330af241f73153e3a8a1e7a87ca02aca6bfaf5be729bbaaea

diff --git a/dev-ruby/scrypt/scrypt-3.0.3.ebuild 
b/dev-ruby/scrypt/scrypt-3.0.3.ebuild
new file mode 100644
index 0000000..6cef039
--- /dev/null
+++ b/dev-ruby/scrypt/scrypt-3.0.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Scrypt password hashing algorithm"
+HOMEPAGE="https://github.com/pbhogan/scrypt";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend ">=dev-ruby/ffi-compiler-1.0.0"
+
+all_ruby_prepare() {
+       # In Gentoo ffi-compiler can be a built-time only dependency.
+       sed -i -e '/ffi-compiler/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_compile() {
+       # This task ignores CFLAGS and LDFLAGS and hardcodes sse and sse2
+       # support. This should be fixed before moving it to the gentoo tree.
+       ${RUBY} -Cext/scrypt -S rake || die
+       cp ext/scrypt/*/libscrypt_ext.so lib/
+}

Reply via email to